#ifndef QCUSTOMQLINE
#define QCUSTOMQLINE

#include <QLineEdit>

#include <QDropEvent>
#include <QMimeData>
#include <QDragEnterEvent>

class QCustomQLineEdit : public QLineEdit
{
    Q_OBJECT

public:
    QCustomQLineEdit(QWidget* parent = nullptr);
    ~QCustomQLineEdit() override;

protected:
    // 拖动文件到窗口 触发
    void dragEnterEvent(QDragEnterEvent* event);
    // 拖动文件到窗口移动文件 触发
    void dragMoveEvent(QDragMoveEvent* event);
    // 拖动文件到窗口释放文件触发
    void dropEvent(QDropEvent* event);
};

#endif